#!/bin/sh 
#
# Library of Useful Stuff (LOUS), a collection of useful functions
# Copyright (C) 2002,2004 Chris G. Davis <davis@lrtw.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

#ident "@(#)test.sh 1.1      04/02/09 Chris G. Davis"

#
# Test descriptions
#
TESTNAME="memory allocation checking"

# grab the functions
if [ ! -f ../test-header.sh ]; then
    echo "Unable to find test-header.sh"
    exit -1
fi
. ../test-header.sh

# Now, we're in the temp directory
TLDFLAGS="$TREE/src/libous.a"
#TCFLAGS="-DLOUS_DEBUG"
saysection basic
makerun basic basic

#TLDFLAGS="$TREE/src/libous-dbg.a"
#TCFLAGS="-DLOUS_DEBUG_MEMALLOC"
#saysection basic-output
#makerun basic-output basic-output

# now we're done
pass
